unit UWaitingWindow;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ExtCtrls;

type
  TWaitingWindow = class(TForm)
    StaticText1: TStaticText;
    DelayTimeLabel: TLabel;
    Label2: TLabel;
    Timer1: TTimer;
    procedure Timer1Timer(Sender: TObject);
    procedure FormShow(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
  private
    FDelayTime: integer;
  public
    { Public declarations }
  end;

var
  WaitingWindow: TWaitingWindow;

implementation

{$R *.dfm}

uses ucore;

procedure TWaitingWindow.FormClose(Sender: TObject; var Action: TCloseAction);
begin
//  core.DropGame;
  timer1.Enabled := false;
end;

procedure TWaitingWindow.FormShow(Sender: TObject);
begin
  fdelaytime := 20;
  timer1.Enabled := true;
end;

procedure TWaitingWindow.Timer1Timer(Sender: TObject);
begin
  dec(fdelaytime);
  delaytimelabel.Caption := inttostr(fdelaytime);
end;

end.
