unit Log;

interface

uses sysutils;

procedure Trace;
procedure Debug(Param: variant);
procedure PrintData(const AData; ASize: integer);

implementation

uses {$ifndef VER180} jcldebug, {$endif} classes, windows;

procedure Trace;
begin
{$ifndef VER180}
  writeln('PROCEDURE "'+procbylevel(1)+'" [',linebylevel(1),']');
{$endif}
end;

procedure Debug(Param: variant);
begin
{$ifndef VER180}
  writeln('value: ',param,' from ',procbylevel(1));
{$endif}
end;

procedure PrintData(const AData; ASize: integer);
var
  i: integer;
  p: pbytearray;
begin
  p := pbytearray(@adata);
  for i:= 0 to asize-1 do
  begin
    write(inttohex(p[i], 2),' ');
  end;
  writeln;
end;

end.



