unit Games;

interface

uses
  contnrs,
  commonutils, instructions2, kaillerautils;

type

  TPlayer = class;
  TPlayerList = class(TObjectList)
  public
    function Add(APlayer: TPlayer): integer;
  end;

  TGame = class
  private
  public
    Title: string;
    GameID: cardinal;
    AppName: string;
    Owner: string;
    constructor Create(GameTitle: string; AGameID: cardinal; AAppName: string; AOwner: string);
    destructor Destroy; override;
    function GetPlayersCount: integer;
    procedure PutData(const AData; const ASize: integer; APlayerNo: integer);
    procedure GetData(out AData; out ASize: Word; APlayerNo: integer);
    procedure GetReady(APlayerNo: cardinal);
  end;

  TPlayer = class
  private
    FGameDataSendBuffer: TGameDataBuffer;
    FGameDataRecvBuffer: TGameDataBuffer;
  public
    constructor Create;
    destructor Destroy; override;
  end;

implementation

{ TGame }

constructor TGame.Create(GameTitle: string; AGameID: cardinal; AAppName: string; AOwner: string);
begin
  title := gametitle;
  gameid := agameid;
  appname := aappname;
  owner := aowner;
end;

destructor TGame.Destroy;
begin
  inherited;
end;

function TGame.GetPlayersCount: integer;
begin
end;

procedure TGame.GetReady(APlayerNo: cardinal);
begin
end;

procedure TGame.GetData(out AData; out ASize: Word; APlayerNo: integer);
begin

end;

procedure TGame.PutData(const AData; const ASize: integer; APlayerNo: integer);
begin
//        if (fgamedataorder > ftimeband) then
//        begin // 
//          fgamedatarecvbuffer.Pop(@ins_gda(sins).Data, j); //  ͸ ű
//          ins_gda(sins).Size := j;
//          sendinstruction(sins);
//        end;
//        exit; // ainstruction  free  ʱ 
end;

{ TPlayer }

constructor TPlayer.Create;
begin
  fgamedatasendbuffer := tgamedatabuffer.Create;
  fgamedatarecvbuffer := tgamedatabuffer.Create;
end;

destructor TPlayer.Destroy;
begin
  fgamedatasendbuffer.Free;
  fgamedatarecvbuffer.Free;
  inherited;
end;

{ TPlayerList }

function TPlayerList.Add(APlayer: TPlayer): integer;
begin
  result := inherited Add(APlayer);
end;

end.
