unit uAboutBox;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ExtCtrls;

type
  TAboutBox = class(TForm)
    Panel1: TPanel;
    ProgramIcon: TImage;
    ProductName: TLabel;
    Version: TLabel;
    Comments: TLabel;
    Copyright: TLabel;
    AuthorUrl: TLabel;
    OKButton: TButton;
    procedure AuthorUrlClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  AboutBox: TAboutBox;

implementation

uses ShellApi, uintfcommon;

{$R *.dfm}

procedure TAboutBox.FormCreate(Sender: TObject);
begin
  productname.Caption := intfcommon.ProgramTitle;
	Version.Caption := intfcommon.getallversion;
end;

procedure TAboutBox.AuthorUrlClick(Sender: TObject);
begin
	ShellExecute(Handle, 'open', pchar(TLabel(Sender).Caption), nil, nil, SW_SHOWNORMAL);
end;

end.
