unit uOptionDialog;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ExtCtrls;

type
  TOptionDialog = class(TForm)
    Button1: TButton;
    Button2: TButton;
    Panel1: TPanel;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    Label4: TLabel;
    Label5: TLabel;
    CoreSelectComboBox: TComboBox;
    LeaveMessageEdit: TEdit;
    GameSortListBox: TListBox;
    UserSortListBox: TListBox;
    LocationTextsEdit: TEdit;
    ShowingUserInOutCheckBox: TCheckBox;
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure FormShow(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  OptionDialog: TOptionDialog;

implementation

uses uintfcommon;

{$R *.dfm}

procedure TOptionDialog.Button1Click(Sender: TObject);
begin
  modalresult := mrok;
end;

procedure TOptionDialog.Button2Click(Sender: TObject);
begin
  modalresult := mrcancel;
end;

procedure TOptionDialog.FormShow(Sender: TObject);
var i, core_idx: integer;
begin
  coreselectcombobox.Clear;
  for i:= 0 to intfcommon.coreselector.coreCount-1 do
    CoreSelectComboBox.AddItem(
      intfcommon.CoreSelector.getcoreinfo(i, core_idx), tobject(core_idx)
    );
  coreselectcombobox.ItemIndex := intfcommon.CoreSelector.selectedcoreindex;
  leavemessageedit.Text := intfcommon.LeaveMessage;
  locationtextsedit.Text := intfcommon.LocationTexts;
  showinguserinoutcheckbox.Checked := intfcommon.ShowingUserInOut;
end;

end.
