unit UDPServer;

interface

{$ifdef mswindows}
uses winsock;
{$endif}

type

  TPort = Word;

  TUDPServer = class
  private
    FSocket: TSocket;
  public
    procedure Start;
    procedure Stop;
  end;

implementation

{ TUDPServer }

procedure TUDPServer.Start;
var sa: tsockaddrin;
begin
  fsocket := socket(af_inet, sock_dgram, ipproto_udp);
  sa.sin_family := af_inet;
  sa.sin_port := 27888;
end;

procedure TUDPServer.Stop;
begin
  closesocket(fsocket);
end;

end.

