unit getvsn;

interface

function getfileversion(const FileName: String; var Major,Minor,Release,Build : Word): Boolean;

implementation

uses Windows, SysUtils;

function getfileversion(const FileName: String; var Major,Minor,Release,Build : Word): Boolean;
var
dwBufferSize : DWORD;
dwReserved : DWORD;
pBuffer : pChar;
lpFixedInfo : PVSFixedFileInfo;
nLen : UINT;
begin
Result      := False;
Major       := 0;
Minor       := 0;
Release     := 0;
Build       := 0;
if not FileExists(Filename) then Exit;

dwBufferSize:= GetFileVersionInfoSize(PChar(Filename), dwReserved);

if dwBufferSize > 0 then begin
GetMem(pBuffer, dwBufferSize);
try
if Assigned(pBuffer) then begin
if not GetFileVersionInfo(PChar(Filename), dwReserved, dwBufferSize, pBuffer) then Exit;
if not VerQueryValue(pBuffer, '\', pointer(lpFixedInfo), nLen) then Exit;
Major       := Word(lpFixedInfo.dwFileVersionMS shr 16);
Minor       := Word(lpFixedInfo.dwFileVersionMS and $FFFF);
Release     := Word(lpFixedInfo.dwFileVersionLS shr 16);
Build       := Word(lpFixedInfo.dwFileVersionLS and $FFFF);
Result      := True;
end;
finally
FreeMem(pBuffer);
end;
end;
end;

end.

