program FreeKailleraServer;

{$apptype console}

uses
  windows,
  sysutils,
  Timer in '..\common\Timer.pas',
  CommonUtils in '..\common\CommonUtils.pas',
  Containers in '..\common\Containers.pas',
  Instructions2 in '..\common\Instructions2.pas',
  KailleraUtils in '..\common\KailleraUtils.pas',
  Log in '..\common\Log.pas',
  Games in 'source\Games.pas',
  KailleraServer in 'source\KailleraServer.pas',
  Users in 'source\Users.pas';

{$R *.res}

var
  kailleraserver: tkailleraserver;
  app_running: boolean;

function HandleConsoleCtrl(ACtrlType: DWORD): boolean;
begin
  app_running := false;
  result := true;
end;

begin
{$ifdef VER200}
  reportmemoryleaksonshutdown := true;
{$endif}
  setconsolectrlhandler(@handleconsolectrl, true);
  app_running := true;
  kailleraserver := tkailleraserver.Create;
  writeln('kaillera server started');
  repeat
    sleep(100);
    timer.Run(100);
  until not app_running;
  writeln('kaillera server stopped');
  kailleraserver.Free;
end.
